[med-svn] [Git][med-team/bandage][master] 2 commits: Add autopkgtests

Pranav Ballaney gitlab at salsa.debian.org
Fri May 29 16:28:41 BST 2020



Pranav Ballaney pushed to branch master at Debian Med / bandage


Commits:
3b058837 by Pranav Ballaney at 2020-05-29T20:57:18+05:30
Add autopkgtests

- - - - -
a227d470 by Pranav Ballaney at 2020-05-29T20:58:03+05:30
Install docs

- - - - -


6 changed files:

- + debian/README.test
- debian/changelog
- + debian/docs
- + debian/examples
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
@@ -1,3 +1,17 @@
+bandage (0.8.1-2) UNRELEASED; urgency=medium
+
+  [ Valentin Marcon ]
+  * Correct DOI
+
+  [ Steffen Möller ]
+  * Added ref to conda
+
+  [ Pranav Ballaney ]
+  * Add autopkgtests
+  * Install docs
+
+ -- Pranav Ballaney <ballaneypranav at gmail.com>  Fri, 29 May 2020 20:57:37 +0530
+
 bandage (0.8.1-1) unstable; urgency=medium
 
   * Initial release (Closes: #872622)


=====================================
debian/docs
=====================================
@@ -0,0 +1,3 @@
+README.md
+debian/tests/run-unit-test
+debian/README.test
\ No newline at end of file


=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+tests/*
\ No newline at end of file


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,55 @@
+#!/bin/bash
+set -e
+
+pkg=bandage
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+
+echo -e "\e[93m\e[1mTest 1\e[0m"
+Bandage image test.fastg test.png
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 2\e[0m"
+Bandage image test.fastg test.jpg
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 3\e[0m"
+Bandage image test.fastg test.svg
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 4\e[0m"
+Bandage image test.fastg test.png --width 400 --height 500
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 5\e[0m"
+Bandage info test.fastg
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 6\e[0m"
+Bandage reduce test.fastg graph.gfa
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 7\e[0m"
+Bandage reduce test.fastg high_depth_graph.gfa --scope depthrange --mindepth 100.0 --maxdepth 1000000
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+



View it on GitLab: https://salsa.debian.org/med-team/bandage/-/compare/7b93aef897918983c4dfad74a8d7a0222ca7356d...a227d470302cd88ea167ee2abe392e6ab6278054

-- 
View it on GitLab: https://salsa.debian.org/med-team/bandage/-/compare/7b93aef897918983c4dfad74a8d7a0222ca7356d...a227d470302cd88ea167ee2abe392e6ab6278054
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200529/252e6fbe/attachment-0001.html>


More information about the debian-med-commit mailing list